> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/notification-policy/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server. # Update POST https://api.mercoa.com/entity/{entityId}/notification-policy/{notificationType} Content-Type: application/json Update notification policy associated with this entity Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/notification-policy/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `entityId` (string, required) — Entity ID or Entity ForeignID - `notificationType` (enum, required) - Allowed values: `INVOICE_APPROVAL_NEEDED`, `INVOICE_APPROVED`, `INVOICE_REJECTED`, `INVOICE_SCHEDULED`, `INVOICE_PENDING`, `INVOICE_PAID`, `INVOICE_CANCELED`, `INVOICE_CREATED`, `INVOICE_EMAILED`, `INVOICE_FAILED`, `COUNTERPARTY_ONBOARDING_COMPLETED` ### Body (application/json) This endpoint expects an object. - `disabled` (boolean, optional) — Set to true if the selected notification type should be disabled for this entity - `additionalRoles` (list of string, optional) — List of user roles that should receive notifications in addition to the default users for this notification type - `additionalUsers` (list of string, optional) — List of user IDs that should receive notifications in addition to the default users for this notification type - `notifyPayeeCounterparty` (boolean, optional) — Set to true if the selected notification type should be sent to the counterparty if this is a payable invoice. - `notifyPayorCounterparty` (boolean, optional) — Set to true if the selected notification type should be sent to the counterparty if this is a receivable invoice. ## Response ### 200 - `disabled` (boolean, required) — True if the selected notification type is disabled for this entity - `additionalRoles` (list of string, required) — List of user roles that should receive notifications in addition to the default users for this notification type - `additionalUsers` (list of string, required) — List of user IDs that should receive notifications in addition to the default users for this notification type - `notifyPayeeCounterparty` (boolean, required) — True if the selected notification type should be sent to the counterparty if this is a payable invoice. - `notifyPayorCounterparty` (boolean, required) — True if the selected notification type should be sent to the counterparty if this is a receivable invoice. - `type` (enum, required) - Allowed values: `INVOICE_APPROVAL_NEEDED`, `INVOICE_APPROVED`, `INVOICE_REJECTED`, `INVOICE_SCHEDULED`, `INVOICE_PENDING`, `INVOICE_PAID`, `INVOICE_CANCELED`, `INVOICE_CREATED`, `INVOICE_EMAILED`, `INVOICE_FAILED`, `COUNTERPARTY_ONBOARDING_COMPLETED` ## Errors ### 400 Bad Request - `errorName` ("BadRequest", required) - `content` (string, required) ### 401 Unauthorized - `errorName` ("Unauthorized", required) - `content` (string, required) ### 403 Forbidden - `errorName` ("Forbidden", required) - `content` (string, required) ### 404 Not Found - `errorName` ("NotFound", required) - `content` (string, required) ### 409 Conflict - `errorName` ("Conflict", required) - `content` (string, required) ### 500 Internal Server Error - `errorName` ("InternalServerError", required) - `content` (string, required) ### 501 Unimplemented - `errorName` ("Unimplemented", required) - `content` (string, required) ## Examples ### INVOICE_APPROVAL_NEEDED **Request** ```json { "disabled": false, "additionalRoles": [ "admin", "approver" ] } ``` **Response** ```json { "disabled": false, "additionalRoles": [ "admin", "approver" ], "additionalUsers": [ "user_1234" ], "notifyPayeeCounterparty": true, "notifyPayorCounterparty": true, "type": "INVOICE_APPROVAL_NEEDED" } ``` **SDK Code** ```python INVOICE_APPROVAL_NEEDED import requests url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED" payload = { "disabled": False, "additionalRoles": ["admin", "approver"] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript INVOICE_APPROVAL_NEEDED import { MercoaClient } from "@mercoa/javascript"; const client = new MercoaClient({ token: "YOUR_TOKEN" }); await client.entity.notificationPolicy.update("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c", "INVOICE_APPROVAL_NEEDED", { disabled: false, additionalRoles: ["admin", "approver"] }); ``` ```go INVOICE_APPROVAL_NEEDED package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED" payload := strings.NewReader("{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"approver\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby INVOICE_APPROVAL_NEEDED require 'uri' require 'net/http' url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"approver\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java INVOICE_APPROVAL_NEEDED import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"approver\"\n ]\n}") .asString(); ``` ```php INVOICE_APPROVAL_NEEDED request('POST', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED', [ 'body' => '{ "disabled": false, "additionalRoles": [ "admin", "approver" ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp INVOICE_APPROVAL_NEEDED using RestSharp; var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"approver\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift INVOICE_APPROVAL_NEEDED import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "disabled": false, "additionalRoles": ["admin", "approver"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVAL_NEEDED")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### INVOICE_APPROVED **Request** ```json { "disabled": false, "additionalRoles": [ "admin", "bookkeeper" ] } ``` **Response** ```json { "disabled": false, "additionalRoles": [ "admin", "bookkeeper" ], "additionalUsers": [], "notifyPayeeCounterparty": false, "notifyPayorCounterparty": true, "type": "INVOICE_APPROVED" } ``` **SDK Code** ```python INVOICE_APPROVED import requests url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED" payload = { "disabled": False, "additionalRoles": ["admin", "bookkeeper"] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript INVOICE_APPROVED import { MercoaClient } from "@mercoa/javascript"; const client = new MercoaClient({ token: "YOUR_TOKEN" }); await client.entity.notificationPolicy.update("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c", "INVOICE_APPROVED", { disabled: false, additionalRoles: ["admin", "bookkeeper"] }); ``` ```go INVOICE_APPROVED package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED" payload := strings.NewReader("{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"bookkeeper\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby INVOICE_APPROVED require 'uri' require 'net/http' url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"bookkeeper\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java INVOICE_APPROVED import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"bookkeeper\"\n ]\n}") .asString(); ``` ```php INVOICE_APPROVED request('POST', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED', [ 'body' => '{ "disabled": false, "additionalRoles": [ "admin", "bookkeeper" ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp INVOICE_APPROVED using RestSharp; var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"disabled\": false,\n \"additionalRoles\": [\n \"admin\",\n \"bookkeeper\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift INVOICE_APPROVED import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "disabled": false, "additionalRoles": ["admin", "bookkeeper"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### DISABLED **Request** ```json { "disabled": true, "additionalRoles": [] } ``` **Response** ```json { "disabled": true, "additionalRoles": [], "additionalUsers": [ "user_1234" ], "notifyPayeeCounterparty": true, "notifyPayorCounterparty": false, "type": "INVOICE_APPROVED" } ``` **SDK Code** ```python DISABLED import requests url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED" payload = { "disabled": True, "additionalRoles": [] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript DISABLED import { MercoaClient } from "@mercoa/javascript"; const client = new MercoaClient({ token: "YOUR_TOKEN" }); await client.entity.notificationPolicy.update("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c", "INVOICE_APPROVED", { disabled: true, additionalRoles: [] }); ``` ```go DISABLED package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED" payload := strings.NewReader("{\n \"disabled\": true,\n \"additionalRoles\": []\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby DISABLED require 'uri' require 'net/http' url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"disabled\": true,\n \"additionalRoles\": []\n}" response = http.request(request) puts response.read_body ``` ```java DISABLED import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"disabled\": true,\n \"additionalRoles\": []\n}") .asString(); ``` ```php DISABLED request('POST', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED', [ 'body' => '{ "disabled": true, "additionalRoles": [] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp DISABLED using RestSharp; var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"disabled\": true,\n \"additionalRoles\": []\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift DISABLED import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "disabled": true, "additionalRoles": [] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/notification-policy/INVOICE_APPROVED")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```